<?php 
require_once('../modelos/Torre.php');

$torre=new Torre();

$idtorre=isset($_POST["idtorre"])? limpiarCadena($_POST["idtorre"]):"";
$nombre_torre=isset($_POST["nombre_torre"])? limpiarCadena($_POST["nombre_torre"]):"";
$detalle_torre=isset($_POST["detalle_torre"])? limpiarCadena($_POST["detalle_torre"]):"";
$servidor_torre=isset($_POST["servidor_torre"])? limpiarCadena($_POST["servidor_torre"]):"";
$usuario_torre=isset($_POST["usuario_torre"])? limpiarCadena($_POST["usuario_torre"]):"";
$pass_torre=isset($_POST["pass_torre"])? limpiarCadena($_POST["pass_torre"]):"";


switch ($_GET["op"])
{
    case 'guardaryeditar':
      if(empty($idtorre))
      {
        $rspta=$torre->insertar($nombre_torre,$detalle_torre,$servidor_torre,$usuario_torre,$pass_torre);
        echo $rspta ? "Torre Registrado" : "Torre no se pudo registrar";
      }
      else {
          $rspta=$torre->editar($idtorre,$nombre_torre,$detalle_torre,$servidor_torre,$usuario_torre,$pass_torre);
          echo $rspta ? "Torre Actualizada" : "Torre no se pudo actualizar";
      }
    break;

    case 'mostrar':
      $rspta=$torre->mostrar($idtorre);
       //Codificar el resultado utilizando json
       echo json_encode($rspta);
    break;

    case 'eliminar':
      $rspta=$torre->eliminar($idtorre);
       //Codificar el resultado utilizando json
       echo json_encode($rspta);
    break;

    case 'listartorre':
      $rspta=$torre->listartorre();
      //Vamos a declarar un array
      $data=Array();
      while($reg=$rspta->fetch_object())
      {
        $data[]=array(
          "0"=>$reg->nombre_torre,
          "1"=>$reg->detalle_torre,
          "2"=>$reg->servidor_torre,
          "3"=>$reg->usuario_torre,
          "4"=>$reg->pass_torre,
          "5"=>'<a href="create.php?idtorre=' . $reg->idtorre . '" class="btn btn-warning btn-xs btn-flat"><i class="fa fa-edit"></i></a>' .
               ' <button class="btn btn-danger btn-xs btn-flat" onclick="eliminar(' . $reg->idtorre . ')"><i class="fas fa-trash-alt"></i></button>'
        );
      }
      $results= array(
        "sEcho"=>1, //Informacion para el datatable
        "iTotalRecords"=>count($data),//Enviamos el total de registtros en el datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data);
      echo json_encode($results);

    break;


    case 'selectTorre': 
      $rspta = $torre->selectTorre();
      if ($rspta) {
          while ($reg = $rspta->fetch_object()) {
              echo "<option value='" . htmlspecialchars($reg->idtorre, ENT_QUOTES, 'UTF-8') . "'>" . htmlspecialchars($reg->nombre_torre, ENT_QUOTES, 'UTF-8') . "</option>";
          }
      } else {
          echo "<option value=''>No hay torres disponibles</option>";
      }
      break;
}

?>